classification
Title: RFC 6531 (SMTPUTF8) support in smtpd.PureProxy
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.5
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: barry, jesstess, pitrou, r.david.murray, zvyn
Priority: normal Keywords: patch

Created on 2014-08-06 19:07 by zvyn, last changed 2018-01-10 00:53 by barry. This issue is now closed.

Files
File name Uploaded Description Edit
pp_smtputf8.patch zvyn, 2014-08-06 21:56 draft how it would work
Messages (4)
msg224963 - (view) Author: Milan Oberkirch (zvyn) * Date: 2014-08-06 19:07
This issue depends on issue 21725 for the communication with the client and issue 22027 for communicating with the remote server.
I think I can come up with a patch for the default branch which is applicable but will not run without the two other issues beeing fixed (I tried that for issue 21783 but it didn't work out well).
msg245281 - (view) Author: Milan Oberkirch (zvyn) * Date: 2015-06-12 23:17
I just wanted to note that this patch works with the current default repo as expected. I will try to come up with some tests now (PureProxy is not tested at all right now).
msg245288 - (view) Author: Milan Oberkirch (zvyn) * Date: 2015-06-13 03:52
After looking at this patch and how we implemented SMTPUTF8 in the parent class again, I think we can come up with a more generic solution. Haven't it figured out quite yet.
msg309748 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2018-01-10 00:53
I'm closing this as won't fix since smtpd.py is deprecated and will likely not get any future development.  Please see aiosmtpd as a much better third party replacement.
History
Date User Action Args
2018-01-10 00:53:09barrysetstatus: open -> closed

nosy: + barry
messages: + msg309748

resolution: wont fix
stage: resolved
2015-06-13 03:52:09zvynsetmessages: + msg245288
2015-06-12 23:17:25zvynsetmessages: + msg245281
2014-08-06 21:56:30zvynsetfiles: + pp_smtputf8.patch
keywords: + patch
2014-08-06 19:07:56zvyncreate